Package org.apache.maven.scm.command.untag

## Class AbstractUntagCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.untag.AbstractUntagCommand

All Implemented Interfaces:
  `Command`

Direct Known Subclasses:
  `GitUntagCommand`, `SvnUntagCommand`

    public abstract class AbstractUntagCommand
    extends AbstractCommand

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`AbstractUntagCommand()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`ScmResult` `executeCommand​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected abstract ScmResult` `executeUntagCommand​(ScmProviderRepository repository, ScmFileSet fileSet, ScmUntagParameters scmUntagParameters)` execute untag command

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractUntagCommand

    public AbstractUntagCommand()

### Method Detail

#### executeUntagCommand

    protected abstract ScmResult executeUntagCommand​(ScmProviderRepository repository,
                                                     ScmFileSet fileSet,
                                                     ScmUntagParameters scmUntagParameters)
                                              throws ScmException

execute untag command

Parameters:
  `repository` - scm repo
  `fileSet` - set of files (unused)
  `scmUntagParameters` - parameters used by untag implementations
Returns:
  result of untag command
Throws:
  `ScmException` - in case of error

#### executeCommand

    public ScmResult executeCommand​(ScmProviderRepository repository,
                                    ScmFileSet fileSet,
                                    CommandParameters parameters)
                             throws ScmException

Specified by:
  `executeCommand` in class `AbstractCommand`
Throws:
  `ScmException`